--- cups.SlackBuild.orig	2004-10-31 17:16:54.000000000 -0500
+++ cups.SlackBuild	2004-11-07 23:42:49.000000000 -0500
@@ -51,13 +51,25 @@
   find . -type f -name "*.5" | xargs gzip -9 --force
   find . -type f -name "*.8" | xargs gzip -9 --force
 )
+( cd $PKG/usr/share/man/es/man1 ; rm -rf cancel.1 )
+( cd $PKG/usr/share/man/fr/man1 ; rm -rf cancel.1 )
 ( cd $PKG/usr/share/man/man1 ; rm -rf cancel.1 )
+( cd $PKG/usr/share/man/es/man8 ; rm -rf reject.8 )
+( cd $PKG/usr/share/man/fr/man8 ; rm -rf reject.8 )
 ( cd $PKG/usr/share/man/man8 ; rm -rf reject.8 )
+( cd $PKG/usr/share/man/es/man8 ; rm -rf disable.8 )
+( cd $PKG/usr/share/man/fr/man8 ; rm -rf disable.8 )
 ( cd $PKG/usr/share/man/man8 ; rm -rf disable.8 )
 ( cd $PKG/usr/share/man ; rm -rf cat? )
 ( cd $PKG/usr/share/man ; gzip -9 --force */* )
+( cd $PKG/usr/share/man/es/man1 ; ln -sf lp.1.gz cancel.1.gz )
+( cd $PKG/usr/share/man/fr/man1 ; ln -sf lp.1.gz cancel.1.gz )
 ( cd $PKG/usr/share/man/man1 ; ln -sf lp.1.gz cancel.1.gz )
+( cd $PKG/usr/share/man/es/man8 ; ln -sf accept.8.gz reject.8.gz )
+( cd $PKG/usr/share/man/fr/man8 ; ln -sf accept.8.gz reject.8.gz )
 ( cd $PKG/usr/share/man/man8 ; ln -sf accept.8.gz reject.8.gz )
+( cd $PKG/usr/share/man/es/man8 ; ln -sf enable.8.gz disable.8.gz )
+( cd $PKG/usr/share/man/fr/man8 ; ln -sf enable.8.gz disable.8.gz )
 ( cd $PKG/usr/share/man/man8 ; ln -sf enable.8.gz disable.8.gz )
 ( cd $PKG/usr/share ; mv man .. )
 
@@ -119,13 +131,44 @@
   )
 done
 # Now fix the associated man pages:
+
+mv $PKG/usr/man/es/man1/cancel.1.gz $PKG/usr/man/es/man1/cancel-${SUFFIX}.1.gz
+mv $PKG/usr/man/fr/man1/cancel.1.gz $PKG/usr/man/fr/man1/cancel-${SUFFIX}.1.gz
 mv $PKG/usr/man/man1/cancel.1.gz $PKG/usr/man/man1/cancel-${SUFFIX}.1.gz
+mv $PKG/usr/man/es/man1/lp.1.gz $PKG/usr/man/es/man1/lp-${SUFFIX}.1.gz
+mv $PKG/usr/man/fr/man1/lp.1.gz $PKG/usr/man/fr/man1/lp-${SUFFIX}.1.gz
 mv $PKG/usr/man/man1/lp.1.gz $PKG/usr/man/man1/lp-${SUFFIX}.1.gz
+mv $PKG/usr/man/es/man1/lpq.1.gz $PKG/usr/man/es/man1/lpq-${SUFFIX}.1.gz
+mv $PKG/usr/man/fr/man1/lpq.1.gz $PKG/usr/man/fr/man1/lpq-${SUFFIX}.1.gz
 mv $PKG/usr/man/man1/lpq.1.gz $PKG/usr/man/man1/lpq-${SUFFIX}.1.gz
+mv $PKG/usr/man/es/man1/lpr.1.gz $PKG/usr/man/es/man1/lpr-${SUFFIX}.1.gz
+mv $PKG/usr/man/fr/man1/lpr.1.gz $PKG/usr/man/fr/man1/lpr-${SUFFIX}.1.gz
 mv $PKG/usr/man/man1/lpr.1.gz $PKG/usr/man/man1/lpr-${SUFFIX}.1.gz
+mv $PKG/usr/man/es/man1/lprm.1.gz $PKG/usr/man/es/man1/lprm-${SUFFIX}.1.gz
+mv $PKG/usr/man/fr/man1/lprm.1.gz $PKG/usr/man/fr/man1/lprm-${SUFFIX}.1.gz
 mv $PKG/usr/man/man1/lprm.1.gz $PKG/usr/man/man1/lprm-${SUFFIX}.1.gz
+mv $PKG/usr/man/es/man1/lpstat.1.gz $PKG/usr/man/es/man1/lpstat-${SUFFIX}.1.gz
+mv $PKG/usr/man/fr/man1/lpstat.1.gz $PKG/usr/man/fr/man1/lpstat-${SUFFIX}.1.gz
 mv $PKG/usr/man/man1/lpstat.1.gz $PKG/usr/man/man1/lpstat-${SUFFIX}.1.gz
+mv $PKG/usr/man/es/man8/lpc.8.gz $PKG/usr/man/es/man8/lpc-${SUFFIX}.8.gz
+mv $PKG/usr/man/fr/man8/lpc.8.gz $PKG/usr/man/fr/man8/lpc-${SUFFIX}.8.gz
 mv $PKG/usr/man/man8/lpc.8.gz $PKG/usr/man/man8/lpc-${SUFFIX}.8.gz
+( cd $PKG/usr/man/es/man1
+  ln -sf cancel-${SUFFIX}.1.gz cancel.1.gz
+  ln -sf lp-${SUFFIX}.1.gz lp.1.gz
+  ln -sf lpq-${SUFFIX}.1.gz lpq.1.gz
+  ln -sf lpr-${SUFFIX}.1.gz lpr.1.gz
+  ln -sf lprm-${SUFFIX}.1.gz lprm.1.gz
+  ln -sf lpstat-${SUFFIX}.1.gz lpstat.1.gz
+)
+( cd $PKG/usr/man/fr/man1
+  ln -sf cancel-${SUFFIX}.1.gz cancel.1.gz
+  ln -sf lp-${SUFFIX}.1.gz lp.1.gz
+  ln -sf lpq-${SUFFIX}.1.gz lpq.1.gz
+  ln -sf lpr-${SUFFIX}.1.gz lpr.1.gz
+  ln -sf lprm-${SUFFIX}.1.gz lprm.1.gz
+  ln -sf lpstat-${SUFFIX}.1.gz lpstat.1.gz
+)
 ( cd $PKG/usr/man/man1
   ln -sf cancel-${SUFFIX}.1.gz cancel.1.gz
   ln -sf lp-${SUFFIX}.1.gz lp.1.gz
@@ -134,6 +177,12 @@
   ln -sf lprm-${SUFFIX}.1.gz lprm.1.gz
   ln -sf lpstat-${SUFFIX}.1.gz lpstat.1.gz
 )
+( cd $PKG/usr/man/es/man8
+  ln -sf lpc-${SUFFIX}.8.gz lpc.8.gz
+)
+( cd $PKG/usr/man/fr/man8
+  ln -sf lpc-${SUFFIX}.8.gz lpc.8.gz
+)
 ( cd $PKG/usr/man/man8
   ln -sf lpc-${SUFFIX}.8.gz lpc.8.gz
 )
